---
title: "Get an entity's public Predict track record"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › predictions

`GET /v2/entities/{entityId}/calls/public-track-record`

## Path parameters

- `entityId` (`predictions-public-track-record.path.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/calls/public-track-record'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/calls/public-track-record';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/calls/public-track-record"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "callsMade": 0,
    "open": 0,
    "resolved": 0,
    "lapsed": 0,
    "retracted": 0,
    "hits": 0,
    "misses": 0,
    "partials": 0,
    "sourceVerified": 0,
    "thirdPartyAttested": 0,
    "selfReported": 0,
    "hitRatePct": 0,
    "sourceVerifiedHitRatePct": 0,
    "ratesSuppressed": true,
    "bySpecies": {
      "commitment": {
        "made": 0,
        "resolved": 0,
        "hits": 0
      },
      "forecast": {
        "made": 0,
        "resolved": 0,
        "hits": 0
      }
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`predictions-public-track-record.response.200.data`; object, required)
  - `entityId` (`predictions-public-track-record.response.200.data.entityId`; string, required)
    - format `uuid`
  - `callsMade` (`predictions-public-track-record.response.200.data.callsMade`; integer, required)
    - min 0
  - `open` (`predictions-public-track-record.response.200.data.open`; integer, required)
    - min 0
  - `resolved` (`predictions-public-track-record.response.200.data.resolved`; integer, required)
    - min 0
  - `lapsed` (`predictions-public-track-record.response.200.data.lapsed`; integer, required)
    - min 0
  - `retracted` (`predictions-public-track-record.response.200.data.retracted`; integer, required)
    - min 0
  - `hits` (`predictions-public-track-record.response.200.data.hits`; integer, required)
    - min 0
  - `misses` (`predictions-public-track-record.response.200.data.misses`; integer, required)
    - min 0
  - `partials` (`predictions-public-track-record.response.200.data.partials`; integer, required)
    - min 0
  - `sourceVerified` (`predictions-public-track-record.response.200.data.sourceVerified`; integer, required)
    - min 0
  - `thirdPartyAttested` (`predictions-public-track-record.response.200.data.thirdPartyAttested`; integer, required)
    - min 0
  - `selfReported` (`predictions-public-track-record.response.200.data.selfReported`; integer, required)
    - min 0
  - `hitRatePct` (`predictions-public-track-record.response.200.data.hitRatePct`; number, required, nullable)
  - `sourceVerifiedHitRatePct` (`predictions-public-track-record.response.200.data.sourceVerifiedHitRatePct`; number, required, nullable)
  - `ratesSuppressed` (`predictions-public-track-record.response.200.data.ratesSuppressed`; boolean, required)
  - `bySpecies` (`predictions-public-track-record.response.200.data.bySpecies`; object, required)
    - `commitment` (`predictions-public-track-record.response.200.data.bySpecies.commitment`; object, required)
      - `made` (`predictions-public-track-record.response.200.data.bySpecies.commitment.made`; integer, required)
        - min 0
      - `resolved` (`predictions-public-track-record.response.200.data.bySpecies.commitment.resolved`; integer, required)
        - min 0
      - `hits` (`predictions-public-track-record.response.200.data.bySpecies.commitment.hits`; integer, required)
        - min 0
    - `forecast` (`predictions-public-track-record.response.200.data.bySpecies.forecast`; object, required)
      - `made` (`predictions-public-track-record.response.200.data.bySpecies.forecast.made`; integer, required)
        - min 0
      - `resolved` (`predictions-public-track-record.response.200.data.bySpecies.forecast.resolved`; integer, required)
        - min 0
      - `hits` (`predictions-public-track-record.response.200.data.bySpecies.forecast.hits`; integer, required)
        - min 0
- `meta` (`predictions-public-track-record.response.200.meta`; object, optional)
  - `timestamp` (`predictions-public-track-record.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.400.error`; object, required)
  - `code` (`predictions-public-track-record.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.401.error`; object, required)
  - `code` (`predictions-public-track-record.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.403.error`; object, required)
  - `code` (`predictions-public-track-record.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.404.error`; object, required)
  - `code` (`predictions-public-track-record.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.409.error`; object, required)
  - `code` (`predictions-public-track-record.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.500.error`; object, required)
  - `code` (`predictions-public-track-record.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`predictions-public-track-record.response.503.error`; object, required)
  - `code` (`predictions-public-track-record.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`predictions-public-track-record.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`predictions-public-track-record.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`predictions-public-track-record.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/predictions-public-track-record/index.md
